PHP Manual
Prev |  | Next

# dbplus_flush

(4.1.0 - 4.2.3 only, PECL)

dbplus_flush -- Flush all changes made on a relation

## Description

int dbplus_flush ( resource relation )

Writes all changes applied to `relation` since the last flush to disk.

## Parameters

`relation`

  A relation opened by dbplus_open().

## Return Values

Returns `DBPLUS_ERR_NOERR` on success or a db++ error code on failure.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

dbplus_errcode()

Prev | Home | Next
dbplus_first | Up | dbplus_freealllocks